Bug 118452 - CRASH: Finalized configuration item (Enable multi-threaded calculation) editable in UI
Summary: CRASH: Finalized configuration item (Enable multi-threaded calculation) edita...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-29 12:14 UTC by Gabor Kelemen
Modified: 2018-07-04 07:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example configuration bundle to disable the threaded calculation setting (1.25 KB, application/x-zip-compressed)
2018-06-29 12:14 UTC, Gabor Kelemen
Details
Screenshot of the crash (180.41 KB, image/png)
2018-06-29 12:15 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-06-29 12:14:38 UTC
Created attachment 143202 [details]
Example configuration bundle to disable the threaded calculation setting

If we finalize the value of the CPU threading settings: Enable multi-threaded calculation, and we change the item’s value, then the LibreOffice will quit.

Steps to reproduce:

    1. Open the LibreOffice and install finalized.zip
    2. Create a new LibreOffice Calc document
    3. Click Tools->Options->LibreOfficeDev Calc->Calculate
    4. Change the value of the CPU threading settings: Enable multi-threaded calculation

Actual results: The LibreOffice quits.

Expected results: The finalized item shouldn’t be editable.


LibreOffice details:
Version: 6.2.0.0.alpha0+
Build Id: e7d3976cb80f7e7401be071905a764dd6cb4d6e
CPU threads: 4; OS: Windows 6.1; UI render: default;
TinderBox: Win-x86@42, Branc:master, Time: 2018-06-29_04:46:32
Locale: hu-HU (hu_HU); Calc: group threaded
Comment 1 Gabor Kelemen 2018-06-29 12:15:04 UTC
Created attachment 143203 [details]
Screenshot of the crash
Comment 2 Gabor Kelemen 2018-06-29 12:20:02 UTC
This was found by one of my team members.
Comment 3 Xavier Van Wijmeersch 2018-06-29 17:27:47 UTC
following the description i have a crash

Version: 6.2.0.0.alpha0+
Build ID: 7414e07f52af87094240f5c3d9a0eb764e8642f5
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-06-24_01:53:55
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 4 Commit Notification 2018-07-03 07:10:01 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e119194aeec907f3d02cb914e5afde5ac763df7c

tdf#118452 Don't crash when multi thread calculation is disabled

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-07-03 15:46:11 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcf9d03950716aca830bd4b059cea13f103cb80f&h=libreoffice-6-1

tdf#118452 Don't crash when multi thread calculation is disabled

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-07-04 07:03:04 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41a780a589151afa1159403231c59c57bc8a1bc8&h=libreoffice-6-0

tdf#118452 Don't crash when multi thread calculation is disabled

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.